#!/usr/bin/perl
# ベイジアンフィルタのテスト

use strict;
use warnings;
use Data::Dumper;
use Encode qw/decode encode/;
use utf8;
use LazyFile;

my @args = ();
foreach my $filename (@ARGV) {
  push @args, glob($filename);
}
foreach my $filename (sort @args) {
  my $text = readText($filename, "shiftjis");
  $text =~ s/【[^】]+】//g;
  writeFile('tmp.txt', encode("shiftjis", $text));
  my $mecab = `mecab -O wakati tmp.txt`;
  writeFile('tmp_m.txt', $mecab);
  if (1) {
    print encode("shiftjis", "■ "), $filename, " size:", -s 'tmp.txt', "\n";
    #print encode("shiftjis", $text), "\n"; 
    my $output = `perl bayes08.pl -f tmp_m.txt`;
    print $output, "\n";
  }
}
